Browse Source

publish release script

boyska 4 years ago
parent
commit
d8c8520950
1 changed files with 11 additions and 0 deletions
  1. 11 0
      publish-release

+ 11 - 0
publish-release

@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+set -u
+
+ver=$(git describe --exact-match | tr -d v)
+
+python setup.py sdist bdist_egg bdist_wheel
+twine upload -s dist/techrec-${ver}*.whl
+twine upload -s dist/techrec-${ver}*.egg
+twine upload -s dist/techrec-${ver}*.tar.gz